#ifndef MAIN_H
#define MAIN_H

#include "app.h"
#include "about.h"

#define MAXARRLEN   1024
#define XMIN        -1024000
#define XMAX        1024000

class MainFrame: public wxFrame
{

public:
    MainFrame(wxFrame *frame, const wxString& title);
    ~MainFrame();

private:
    void set_properties();
    void do_layout();
    void OnQuit(wxCommandEvent& event);
    void OnAbout(wxCommandEvent& event);
    void OnClear(wxCommandEvent& event);
    void OnSave(wxCommandEvent& event);
    void OnGenerate(wxCommandEvent& event);

protected:
    wxStaticText* label_1;
    wxTextCtrl* text_name;
    wxStaticText* label_2;
    wxChoice* choice_type;
    wxStaticText* label_3;
    wxSpinCtrl* spin_length;
    wxStaticText* label_4;
    wxSpinCtrl* spin_xmin;
    wxStaticText* label_5;
    wxSpinCtrl* spin_xmax;
    wxStaticText* label_6;
    wxTextCtrl* text_function;
    wxButton* button_clear;
    wxCheckBox* check_signed;
    wxButton* button_save;
    wxCheckBox* check_hex;
    wxButton* button_generate;
    wxCheckBox* check_autoclear;
    wxTextCtrl* text_out;

    DECLARE_EVENT_TABLE();

};

#endif // MAIN_H
